Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class DataURIResolver

    java.lang.Object
      org.apache.fop.util.DataURIResolver

All Implemented Interfaces:
  javax.xml.transform.URIResolver

public class DataURIResolver
extends java.lang.Object
implements javax.xml.transform.URIResolver

See Also:
  `DataURIResolver`

Constructor Summary
`DataURIResolver()` Deprecated.

Method Summary
`javax.xml.transform.Source` | `resolve(java.lang.String href, java.lang.String base)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataURIResolver

    public DataURIResolver()

  Deprecated.

Method Detail

### resolve

    public javax.xml.transform.Source resolve(java.lang.String href,
                                              java.lang.String base)
                                       throws javax.xml.transform.TransformerException

  Deprecated.

  Specified by:
    `resolve` in interface `javax.xml.transform.URIResolver`
  Throws:
    `javax.xml.transform.TransformerException`
  See Also:
    `DataURIResolver.resolve(String, String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.